"use strict";

exports.__esModule = true;
exports.default = exports.shallowEqual = exports.deepEqual = exports.circularShallowEqual = exports.circularDeepEqual = void 0;

var _comparator = _interopRequireDefault(require("./comparator"));

exports.createCustomEqual = _comparator.default;

var _utils = require("./utils");

exports.sameValueZeroEqual = _utils.sameValueZeroEqual;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// comparator
// utils
var circularDeepEqual = (0, _comparator.default)((0, _utils.createCircularEqual)());
exports.circularDeepEqual = circularDeepEqual;
var circularShallowEqual = (0, _comparator.default)((0, _utils.createCircularEqual)(_utils.sameValueZeroEqual));
exports.circularShallowEqual = circularShallowEqual;
var deepEqual = (0, _comparator.default)();
exports.deepEqual = deepEqual;
var shallowEqual = (0, _comparator.default)(function () {
  return _utils.sameValueZeroEqual;
});
exports.shallowEqual = shallowEqual;
var _default = {
  circularDeep: circularDeepEqual,
  circularShallow: circularShallowEqual,
  createCustom: _comparator.default,
  deep: deepEqual,
  sameValueZero: _utils.sameValueZeroEqual,
  shallow: shallowEqual
};
exports.default = _default;